using System.ComponentModel;

namespace eSuite.Core.Enums;

public enum TaskState
{
    [Description("The task is waiting to start")]
    Pending,
    [Description("The task has been cancelled")]
    Cancelled,
    [Description("The task is active for user/system interaction and processing")]
    Active,
    [Description("The active portion of the task has finished and the task is ready to complete")]
    ReadyToComplete,
    [Description("The task has been completed")]
    Completed
}